# Generated by Django 2.2.24 on 2021-07-23 14:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('edx_proctoring', '0017_rm_proctoredexamstudentattempt_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalProctoredExamStudentAttempt',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('started_at', models.DateTimeField(null=True)),
                ('completed_at', models.DateTimeField(null=True)),
                ('attempt_code', models.CharField(db_index=True, max_length=255, null=True)),
                ('external_id', models.CharField(db_index=True, max_length=255, null=True)),
                ('allowed_time_limit_mins', models.IntegerField(null=True)),
                ('status', models.CharField(max_length=64)),
                ('taking_as_proctored', models.BooleanField(default=False, verbose_name='Taking as Proctored')),
                ('is_sample_attempt', models.BooleanField(default=False, verbose_name='Is Sample Attempt')),
                ('review_policy_id', models.IntegerField(null=True)),
                ('is_status_acknowledged', models.BooleanField(default=False)),
                ('time_remaining_seconds', models.IntegerField(null=True)),
                ('is_resumable', models.BooleanField(default=False, verbose_name='Is Resumable')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('proctored_exam', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='edx_proctoring.ProctoredExam')),
                ('user', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical proctored exam attempt',
                'db_table': 'proctoring_proctoredexamstudentattempt_history',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
